%{?nodejs_find_provides_and_requires}

%global packagename qunitjs
%global enable_tests 1

Name:		nodejs-qunitjs
Version:	1.21.0
Release:	1%{?dist}
Summary:	An easy-to-use JavaScript Unit Testing framework

License:	MIT
URL:		https://github.com/jquery/qunit.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source10:	dl-tests.sh

# The Gruntfile is not included in the npm tarball.
Source3:	https://raw.githubusercontent.com/jquery/qunit/%{version}/Gruntfile.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(grunt-cli)
%if 0%{?enable_tests}
BuildRequires:	npm(grunt)
BuildRequires:	npm(grunt-contrib-concat)
BuildRequires:	npm(grunt-contrib-watch)
BuildRequires:	npm(grunt-contrib-nodeunit)
BuildRequires:	npm(grunt-contrib-internal)
BuildRequires:	npm(load-grunt-tasks)
BuildRequires:	npm(underscore.string)
%endif

Requires:	nodejs

%description
An easy-to-use JavaScript Unit Testing framework.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
# setup the Gruntfile
cp -p %{SOURCE3} .



%build
mkdir node_modules
ln -s %{nodejs_sitelib}/grunt ./node_modules/grunt
ln -s %{nodejs_sitelib}/load-grunt-tasks ./node_modules/load-grunt-tasks
ln -s %{nodejs_sitelib}/grunt-contrib-concat ./node_modules/grunt-contrib-concat
%{_bindir}/grunt build
cp dist/qunit.* qunit/
rm -rf ./node_modules/

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json qunit/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/grunt test-on-node
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Feb 20 2016 Jared Smith <jsmith@fedoraproject.org> - 1.21.0-1
- Update to upstream 1.21.0 release

* Tue Jan 12 2016 Jared Smith <jsmith@fedoraproject.org> - 1.20.0-1
- Update to upstream 1.20.0 release

* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 1.19.0-2
- rebuilt

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 1.19.0-1
- Initial packaging
